<script>
//配置
export default {
  tabs: [
    {
      title: "主页",
      name: "index",
      content: [
        {
          class: "选择器",
          name: "selectors",
          content: [
            {
              name: "pick",
              icon: require("@assets/主页/拾取.png"),
              label: "拾取",
              checked: false,
            },
          ],
        },
        {
          class: "查询搜索",
          name: "search",
          content: [
            {
              name: "POISearch",
              icon: require("@assets/主页/POI查询.png"),
              label: "POI查询",
            },
            {
              name: "routerSearch",
              icon: require("@assets/主页/POI查询.png"),
              label: "路径查询",
            },
            {
              name: "spaceSearch",
              icon: require("@assets/主页/POI查询.png"),
              label: "空间查询",
            },
            {
              name: "bufferSearch",
              icon: require("@assets/主页/POI查询.png"),
              label: "缓冲区查询",
            },
          ],
        },
        {
          class: "环境",
          name: "environment",
          content: [
            {
              name: "sun",
              icon: require("@assets/主页/太阳光.png"),
              label: "光照",
            },
            {
              name: "shadow",
              icon: require("@assets/主页/阴影.png"),
              label: "阴影",
              checked: false,
            },
          ],
        },
        {
          class: "控件",
          name: "add",
          content: [
            {
              name: "treeLayer",
              icon: require("@assets/主页/图层管理.png"),
              label: "图层管理",
              checked: true,
            },
          ],
        },
        {
          class: "服务",
          name: "server",
          content: [
            {
              name: "gisserver",
              icon: require("@assets/图层/在线地图.png"),
              label: "Gisserver",
            },
            {
              name: "geoserver",
              icon: require("@assets/图层/在线地图.png"),
              label: "Geoserver",
            },
          ],
        },
        {
          class: "配置",
          name: "setup",
          content: [
            {
              name: "projectSetup",
              icon: require("@assets/主页/项目设置.png"),
              label: "项目设置",
            },
          ],
        },
      ],
    },
    {
      title: "图层",
      name: "layer",
      content: [
        {
          class: "影像",
          name: "image",
          content: [
            {
              name: "onlineMap",
              icon: require("@assets/图层/在线地图.png"),
              label: "在线地图",
            },
            {
              name: "ArcGIS",
              icon: require("@assets/图层/arcgis影像.png"),
              label: "MapServer",
            },
            {
              name: "WMS",
              icon: require("@assets/图层/WMS.png"),
              label: "WMS",
            },
            {
              name: "WMTS",
              icon: require("@assets/图层/WMTS.png"),
              label: "WMTS",
            },
            {
              name: "localT",
              icon: require("@assets/图层/本地切片服务.png"),
              label: "切片地图服务",
            },
          ],
        },
        {
          class: "地形",
          name: "terrain",
          content: [
            {
              name: "MPTterrain",
              icon: require("@assets/图层/MPT地形.png"),
              label: "MPT地形",
            },
            {
              name: "ArcGISTerrain",
              icon: require("@assets/图层/arcgis地形.png"),
              label: "ArcGIS地形",
            },
            {
              name: "terrain",
              icon: require("@assets/图层/terrain地形.png"),
              label: "terrain地形",
            },
          ],
        },
        {
          class: "模型",
          name: "3Dnetwork",
          content: [
            {
              name: "threeDTiles",
              icon: require("@assets/图层/3Dtiles.png"),
              label: "3DTiles模型",
            },
            {
              name: "s3m",
              icon: require("@assets/图层/3Dtiles.png"),
              label: "S3M模型",
            },
            {
              name: "GLTF",
              icon: require("@assets/图层/GLTF.png"),
              label: "GLTF模型",
            },
          ],
        },
        {
          class: "矢量",
          name: "raster",
          content: [
            {
              name: "KML",
              icon: require("@assets/图层/KML.png"),
              label: "KML",
            },
            {
              name: "WFS",
              icon: require("@assets/图层/WFS.png"),
              label: "WFS",
            },
            {
              name: "geojson",
              icon: require("@assets/对象/地形投影视频.png"),
              label: "Geojson",
            },
            {
              name: "featureT",
              icon: require("@assets/图层/矢量切片.png"),
              label: "矢量切片",
            },
            {
              name: "pathLayer",
              icon: require("@assets/图层/链路.png"),
              label: "动态路网",
            },
            {
              name: "importPolylineVolume",
              icon: require("@assets/图层/链路.png"),
              label: "管线",
            },
          ],
        },
      ],
    },
    {
      title: "量算",
      name: "measure",
      content: [
        {
          class: "距离",
          name: "distance",
          content: [
            {
              name: "horizontalMeasure",
              icon: require("@assets/量算/水平距离.png"),
              label: "水平距离",
            },
            {
              name: "spaceMeasure",
              icon: require("@assets/量算/空间距离.png"),
              label: "空间距离",
            },
          ],
        },
        {
          class: "高度",
          name: "height",
          content: [
            {
              name: "Altitude",
              icon: require("@assets/量算/海拔高度.png"),
              label: "海拔高度",
            },
            {
              name: "VerticalHeight",
              icon: require("@assets/量算/垂直高度.png"),
              label: "垂直高度",
            },
          ],
        },
        {
          class: "面积",
          name: "area",
          content: [
            {
              name: "surfaceArea",
              icon: require("@assets/量算/表面面积.png"),
              label: "表面面积",
            },
            {
              name: "tyArea",
              icon: require("@assets/量算/平面面积.png"),
              label: "平面面积",
            },
          ],
        },
        {
          class: "体积",
          name: "volume",
          content: [
            {
              name: "analysisVolume",
              icon: require("@assets/量算/体积.png"),
              label: "体积",
            },
          ],
        },
        {
          class: "角度",
          name: "angle",
          content: [
            {
              name: "measureAngle",
              icon: require("@assets/量算/角度.png"),
              label: "角度",
            },
          ],
        },
      ],
    },
    {
      title: "分析",
      name: "analysis",
      content: [
        {
          class: "地形分析",
          name: "terrainAnalysis",
          content: [
            {
              name: "openCountour",
              icon: require("@assets/分析/等高线.png"),
              label: "等高线",
            },
            {
              name: "slopeMap",
              icon: require("@assets/分析/坡度图.png"),
              label: "坡度图",
            },
            {
              name: "terrainOutline",
              icon: require("@assets/分析/地形轮廓.png"),
              label: "地形轮廓",
            },
            {
              name: "flood",
              icon: require("@assets/分析/淹没.png"),
              label: "淹没",
            },
            {
              name: "bufferArea",
              icon: require("@assets/分析/缓冲区.png"),
              label: "缓冲区",
            },
            {
              name: "terrainDig",
              icon: require("@assets/分析/地形开挖.png"),
              label: "地形开挖",
            },
            {
              name: "terrainPress",
              icon: require("@assets/分析/地形压平.png"),
              label: "地形压平",
            },
            {
              name: "modelPress",
              icon: require("@assets/分析/模型压平.png"),
              label: "模型压平",
            },
          ],
        },
        {
          class: "专题分析",
          name: "specializedAnalysis",
          content: [
            {
              name: "SatelliteTrajectorie",
              icon: require("@assets/分析/卫星轨迹.png"),
              label: "卫星轨迹",
            },
            {
              name: "HeatMap",
              icon: require("@assets/分析/热力图分析.png"),
              label: "热力图分析",
            },
            {
              name: "RadarReflect",
              icon: require("@assets/分析/雷达反射率.png"),
              label: "雷达反射率",
            },
            {
              name: "migrate",
              icon: require("@assets/分析/人口迁徙可视化.png"),
              label: "人口迁徙可视化",
            },
          ],
        },
        {
          class: "视线",
          name: "sight",
          content: [
            {
              name: "lineOfSight",
              icon: require("@assets/分析/通视分析.png"),
              label: "通视",
              children: [
                { label: "通视分析", name: "default" },
                { label: "圆形通视分析", name: "circle" },
              ],
            },
            {
              name: "viewshed",
              icon: require("@assets/分析/视域.png"),
              label: "视域",
            },
            {
              name: "skyline",
              icon: require("@assets/分析/天际线分析.png"),
              label: "天际线",
            },
            {
              name: "sunshineAnalysis",
              icon: require("@assets/分析/日照分析.png"),
              label: "日照",
            },
          ],
        },
        {
          class: "阴影",
          name: "shadow",
          content: [
            {
              name: "shadowAnalysis",
              icon: require("@assets/分析/阴影分析.png"),
              label: "阴影",
            },
          ],
        },
        {
          class: "清除",
          name: "delete",
          content: [
            {
              name: "delete",
              icon: require("@assets/分析/清除.png"),
              label: "清除",
            },
          ],
        },
      ],
    },
    {
      title: "场景",
      name: "scene",
      content: [
        {
          class: "天气",
          name: "weather",
          content: [
            {
              name: "skyTexture",
              icon: require("@assets/场景/天空纹理.png"),
              label: "天空纹理",
            },
            {
              name: "rain",
              icon: require("@assets/场景/雨.png"),
              label: "雨",
              checked: false,
            },
            {
              name: "snow",
              icon: require("@assets/场景/雪.png"),
              label: "雪",
              checked: false,
            },
            {
              name: "fog",
              icon: require("@assets/场景/雾.png"),
              label: "雾",
              checked: false,
            },
          ],
        },
        {
          class: "模式",
          name: "model",
          content: [
            {
              name: "indoorModel",
              icon: require("@assets/场景/室内模式.png"),
              label: "室内模式",
              checked: false,
            },
            {
              name: "undergroundModel",
              icon: require("@assets/场景/地下模式.png"),
              label: "地下模式",
            },
            {
              name: "globalGrid",
              icon: require("@assets/场景/全球网格.png"),
              label: "全球网格",
              checked: false,
            },
            {
              name: "nightModel",
              icon: require("@assets/场景/夜晚.png"),
              label: "夜晚",
              checked: false,
            },
            {
              name: "HawkEye",
              icon: require("@assets/场景/鹰眼.png"),
              label: "鹰眼",
              checked: false,
            },
            {
              name: "HDRmodel",
              icon: require("@assets/场景/HDR.png"),
              label: "HDR",
              checked: false,
            },
          ],
        },
        {
          class: "其他",
          name: "otherScene",
          content: [
            {
              name: "colorAdjustment",
              icon: require("@assets/场景/color.png"),
              label: "颜色矫正",
            },
            // {
            //   name: "DemoAnimation",
            //   icon: require("@assets/对象/路径动画.png"),
            //   label: "演示动画",
            // },
            {
              name: "Localtion",
              icon: require("@assets/对象/POI文字.png"),
              label: "飞行定位",
            },
            {
              name: "DemoAnimationtest",
              icon: require("@assets/对象/路径动画.png"),
              label: "演示动画",
            },
            {
              name: "Demolition",
              icon: require("@assets/对象/路径动画.png"),
              label: "征拆迁演示",
            },
          ],
        },
      ],
    },
    {
      title: "特效",
      name: "specialEffect",
      content: [
        {
          class: "粒子特效",
          name: "particals",
          content: [
            {
              name: "cigarette",
              icon: require("@assets/特效/烟.png"),
              label: "烟",
            },
            {
              name: "fire",
              icon: require("@assets/特效/火.png"),
              label: "火",
            },
            {
              name: "fountain",
              icon: require("@assets/特效/喷泉.png"),
              label: "喷泉",
            },
            {
              name: "fireworks",
              icon: require("@assets/特效/烟花.png"),
              label: "烟花",
            },
            {
              name: "flowField",
              icon: require("@assets/特效/流场.png"),
              label: "流场",
              checked: false,
            },
            {
              name: "WindFarm",
              icon: require("@assets/特效/风场.png"),
              label: "风场",
              checked: false,
            },
          ],
        },
        {
          class: "流动特效",
          name: "flowEffect",
          content: [
            {
              name: "FlowLine",
              icon: require("@assets/特效/流动线.png"),
              label: "流动线",
            },
            {
              name: "MobileWall",
              icon: require("@assets/特效/流动墙.png"),
              label: "流动墙",
            },
            {
              name: "otherEffect",
              icon: require("@assets/特效/链路.png"),
              label: "其他",
              children: [
                { label: "链路", name: "link" },
                { label: "光锥体", name: "effectCone" },
                { label: "特效圆", name: "rotateEffectCircle" },
                { label: "扩散围墙", name: "effectCylinder" },
                { label: "垂直飞线", name: "flyingLine" },
                { label: "四面体", name: "tetrahedron" },
              ],
            },
          ],
        },
        {
          class: "其他",
          name: "elseEffect",
          content: [
            {
              name: "CircularDiffusion",
              icon: require("@assets/特效/圆形扩散.png"),
              label: "圆形扩散",
            },
            {
              name: "FanDiffusion",
              icon: require("@assets/特效/扇形扩散.png"),
              label: "扇形扩散",
            },
            {
              name: "DiffusionSource",
              icon: require("@assets/特效/扩散源.png"),
              label: "扩散源",
            },
            {
              name: "RiskDiffusion",
              icon: require("@assets/特效/风险扩散模拟.png"),
              label: "风险扩散模拟",
            },
            {
              name: "RadarMask",
              icon: require("@assets/特效/雷达遮罩扫描.png"),
              label: "雷达遮罩扫描",
            },
            {
              name: "DynamicSatellite",
              icon: require("@assets/特效/动态卫星正射.png"),
              label: "动态卫星正射",
            },
          ],
        },
        {
          class: "清除",
          name: "delete",
          content: [
            {
              name: "clearTX",
              icon: require("@assets/分析/清除.png"),
              label: "清除",
            },
          ],
        },
      ],
    },
    {
      title: "对象",
      name: "object",
      content: [
        {
          class: "标签",
          name: "label",
          content: [
            {
              name: "poiText",
              icon: require("@assets/对象/POI文字.png"),
              label: "POI文字",
            },
            {
              name: "labelImage",
              icon: require("@assets/对象/图像.png"),
              label: "图像",
            },
          ],
        },
        {
          class: "视频",
          name: "video",
          content: [
            {
              name: "Video3D",
              icon: require("@assets/对象/地形投影视频.png"),
              label: "3D投影视频",
            },
            {
              name: "Video2D",
              icon: require("@assets/对象/地形投影视频.png"),
              label: "2D投影视频",
            },
          ],
        },
        {
          class: "2D对象",
          name: "twoDObject",
          content: [
            {
              name: "twoDPolyline",
              icon: require("@assets/对象/折线.png"),
              label: "折线",
            },
            {
              name: "twoDPolygon",
              icon: require("@assets/对象/多边形.png"),
              label: "多边形",
            },
            {
              name: "twoDGraph",
              icon: require("@assets/对象/2D图形.png"),
              label: "2D图形",
              children: [
                { label: "矩形", name: "rectangle" },
                { label: "圆形", name: "circle" },
                { label: "扇形", name: "Sector" },
              ],
            },
          ],
        },
        {
          class: "3D对象",
          name: "threeDObject",
          content: [
            {
              name: "modelLibrary",
              icon: require("@assets/对象/模型仓库.png"),
              label: "模型仓库",
            },
            {
              name: "threeDGraph",
              icon: require("@assets/对象/3D图形.png"),
              label: "3D图形",
              children: [
                { label: "立方体", name: "box" },
                { label: "圆柱", name: "cylinder" },
                { label: "圆锥", name: "cone" },
                { label: "球", name: "sphere" },
                { label: "多边体", name: "polyhedron" },
              ],
            },
          ],
        },
        {
          class: "军标对象",
          name: "ArmyLabelObject",
          content: [
            {
              name: "twoDArmyLabel",
              icon: require("@assets/对象/二维军标.png"),
              label: "二维军标",
              children: [
                { label: "粗直箭头", name: "StraightArrow" },
                { label: "燕尾直箭头", name: "SwallowtailArrow" },
                { label: "钳击箭头", name: "PincerArrow" },
                { label: "集结地", name: "GatheringPlace" },
                { label: "圆角矩形", name: "RoundedRectangle" },
                { label: "扇形", name: "Sector" },
                { label: "弓形", name: "Bow" },
                { label: "攻击箭头", name: "AttackArrow" },
                { label: "贝塞尔曲线", name: "Bezierline" },
                { label: "贝塞尔箭头", name: "BezierArrow" },
              ],
            },
            {
              name: "threeDArmyLabel",
              icon: require("@assets/对象/三维军标.png"),
              label: "三维军标",
              children: [
                { label: "粗直箭头", name: "StraightArrow" },
                { label: "燕尾直箭头", name: "SwallowtailArrow" },
                { label: "钳击箭头", name: "PincerArrow" },
                { label: "集结地", name: "GatheringPlace" },
                { label: "圆角矩形", name: "RoundedRectangle" },
                { label: "扇形", name: "Sector" },
                { label: "弓形", name: "Bow" },
                { label: "攻击箭头", name: "AttackArrow" },
                { label: "导弹模型", name: "MissileModel" },
              ],
            },
          ],
        },
        {
          class: "其他",
          name: "otherObject",
          content: [
            {
              name: "pathwayCartoon",
              icon: require("@assets/对象/路径动画.png"),
              label: "路径动画",
            },
          ],
        },
        {
          class: "清除",
          name: "deleteObject",
          content: [
            {
              name: "deleteObject",
              icon: require("@assets/对象/清除.png"),
              label: "清除",
            },
          ],
        },
      ],
    },
    {
      title: "视图",
      name: "view",
      content: [
        {
          class: "布局",
          name: "layout",
          content: [
            {
              name: "maximum",
              icon: require("@assets/视图/最大化.png"),
              label: "最大化",
            },
          ],
        },
        {
          class: "工具栏",
          name: "tooltipbar",
          content: [
            {
              name: "navigationBar",
              icon: require("@assets/视图/导航控件.png"),
              label: "导航控件",
              checked: true,
            },
            {
              name: "statusBar",
              icon: require("@assets/视图/状态栏.png"),
              label: "状态栏",
              checked: true,
            },
            {
              name: "scaleBar",
              icon: require("@assets/视图/比例尺.png"),
              label: "比例尺",
              checked: true,
            },
            {
              name: "positionButton",
              icon: require("@assets/对象/POI文字.png"),
              label: "定位按钮",
              checked: true,
            },
            {
              name: "timeLine",
              icon: require("@assets/视图/时间轴.png"),
              label: "时间轴",
              checked: false,
            },
          ],
        },
        {
          class: "视角",
          name: "viewAngle",
          content: [
            {
              name: "north",
              icon: require("@assets/视图/正北.png"),
              label: "正北",
            },
            {
              name: "overlook",
              icon: require("@assets/视图/俯视.png"),
              label: "俯视",
            },
          ],
        },

        {
          class: "其他",
          name: "elseView",
          content: [
            {
              name: "tileCoordinates",
              icon: require("@assets/场景/全球网格.png"),
              label: "瓦片坐标",
              checked: false,
            },
            {
              name: "wireframe",
              icon: require("@assets/图层/arcgis地形.png"),
              label: "地形三角网",
              checked: false,
            },
            {
              name: "createScreenshot",
              icon: require("@assets/视图/截图.png"),
              label: "截图",
            },
            {
              name: "createScreenshotView",
              icon: require("@assets/视图/截图预览.png"),
              label: "截图预览",
            },
            {
              name: "modelbbox",
              icon: require("@assets/对象/3D图形.png"),
              label: "包围盒子",
              checked: false,
            },
          ],
        },
      ],
    },
  ],
};
</script>